function Boblust_OnLoad()

	SLASH_BOBLUST1 = "/bl"
	SLASH_BOBLUST2 = "/boblust"
	SlashCmdList["BOBLUST"] = Boblust_Command
	
	if not Boblust_enabled then
		Boblust_enabled = true
	end
	
	if not Boblust_source or not (Boblust_source == "bl" or Boblust_source == "all") then
		Boblust_source = "bl"
	end

	if Boblust_enabled then
		Boblust:RegisterEvent("UNIT_SPELLCAST_SUCCEEDED")
	end
end

function Boblust_OnEvent(self, event, ...)
	local arg1,arg2 = ...

	if (Boblust_source == "bl" and arg2 == "Bloodlust" or 
		Boblust_source == "all" and (arg2 == "Bloodlust" or 
						arg2 == "Heroism" or 
						arg2 == "Time Warp" or 
						arg2 == "Ancient Hysteria")) and UnitIsFriend("player", arg1) and not UnitIsDeadOrGhost("player") and not (
			UnitDebuff("player", "Sated") or 
			UnitDebuff("player", "Exhausted") or 
			UnitDebuff("player", "Temporal Displacement") or 
			UnitDebuff("player", "Insanity")) then
		for i = 1, 5 do
			PlaySoundFile("Interface\\addons\\Boblust\\media\\wc3_bloodlust.mp3", "Master")
		end
	end
end

function Boblust_Command(msg)
	local cmd, subCmd = Boblust_GetCmd(msg)
	if cmd == "toggle" then
		if Boblust_enabled then
			Boblust_enabled = false
			print("Boblust - |cffff0000Disabled|r")
			Boblust:UnregisterEvent("UNIT_SPELLCAST_SUCCEEDED")
		else
			Boblust_enabled = true
			print("Boblust - |cff00ff00Enabled|r")
			Boblust:RegisterEvent("UNIT_SPELLCAST_SUCCEEDED")
		end
	elseif cmd == "bl" then
		Boblust_source = "bl"
		print("Boblust - Only activates on |cffff0000Bloodlust|r.")
	elseif cmd == "all" then
		Boblust_source = "all"
		print("Boblust - Activates on |cffff0000ALL|r Bloodlust effects (Bloodlust, Heroism, Time Warp and Ancient Hysteria.")
	else
		print("Boblust - Available commands;\n 'toggle' : Toggles the sound on or off.\n 'bl' : Sets sound to play only on Bloodlust.\n 'all' : Sets sound to play on All BL effects.")
	end
	
end

function Boblust_GetCmd(msg)
	if(msg) then
		local a,b,c = strfind(msg, "(%S+)")
		if(a) then
			return c, strsub(msg, b+2)
		else	
			return ""
		end
	end
end